org.apache.http.impl.auth.win

## Class WindowsNTLMSchemeFactory

- java.lang.Object
- - org.apache.http.impl.auth.win.WindowsNTLMSchemeFactory

All Implemented Interfaces:
  AuthSchemeProvider

    @Contract(threading=IMMUTABLE)
    public class WindowsNTLMSchemeFactory
    extends Object
    implements AuthSchemeProvider

`AuthSchemeProvider` implementation that creates and initializes `WindowsNegotiateScheme` using JNA to implement NTLM

EXPERIMENTAL

Since:
  4.4

### Constructor Summary

Constructors
Constructor and Description
`WindowsNTLMSchemeFactory(String servicePrincipalName)`

### Method Summary

Methods
`AuthScheme` `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `AuthScheme`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowsNTLMSchemeFactory

    public WindowsNTLMSchemeFactory(String servicePrincipalName)

### Method Detail

#### create

    public AuthScheme create(org.apache.http.protocol.HttpContext context)

Description copied from interface: `AuthSchemeProvider`
Creates an instance of `AuthScheme`.

Specified by:
  `create` in interface `AuthSchemeProvider`
Returns:
  auth scheme.